#!/devtool/local/bin/perl
#
# @(#) protname   1997-11-18
#
# $_[0] ist der Name des Programmes (ci, slowci, utility, ...),
# dessen Output ermittlet werden soll.
# Dazu wird das PROGRAMM einmal aufgerufen und der Name des dabei
# erzeugten Protokoll-Files ermittelt.
#
sub protname {

$PROG = $_[0];

open(FILE_OUT, "+>dummy.dbcmd");
print FILE_OUT "vdnexit!\n";
close FILE_OUT;

if ( $PROG eq "$DBROOT/pgm/sqlterm" ) {
    system("$DBROOT/pgm/slowci -b dummy.dbcmd >$NULL")
}
else { system("$PROG -b dummy.dbcmd >$NULL") }

if ( $^O =~ /mswin32/i) {
		$CMD = "dir/b/o:d *.prt";
}else { $CMD = "ls -1tr *.prot"; }

open(PIPE_IN, "$CMD |");
while(<PIPE_IN>) { chomp; $CI_PROT = $_ }
close PIPE_IN;

unlink "dummy.dbcmd";

return $CI_PROT;

}

1;
